<?php

namespace Modules\Stock\Rules;

use Modules\Stock\Helper\RulesHelper;

class LigneBonTransfert extends BaseRules
{
    /**
     * @return bool
     */
    // @phpcs:ignore
    public function init(): bool
    {
        return RulesHelper::hasBonTransfertAccessRights($this->pdo);
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function ligne(): bool
    {
        return true;
    }


    /**
     * @return bool
     */
    // @phpcs:ignore
    public function ajouterForm(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function ajouter(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function modifierForm(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function modifier(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function supprimer(): bool
    {
        return true;
    }
}
